Bug 121865 - Failure to recognize new version of Intel Pro/1000 (part PWLA8391MT) NIC
Failure to recognize new version of Intel Pro/1000 (part PWLA8391MT) NIC
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: 121908 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-04-28 14:48 EDT by Karl Auerbach
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-30 03:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Auerbach 2004-04-28 14:48:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.23  [en]

Description of problem:
Presence of recent Intel Pro/1000 MT card (Intel part PWLA8391MT, 
with 82541 chip) causes Anaconda (and the kernel in general) to not 
see either that particular NIC card or any of the built-in NICs that 
have the same or Intel chipsets (e.g. 82546EB.)

Intel has reved the Pro/1000 to use a new chipset (82541).  Things 
work fine if the new-version of the Pro/1000 is removed from the 
machine and the older version, Intel part number PWLA8390MT (with 
82540 chipset), used in its place.  It is only the new cards that 
cause the system to fail to recognize *any* of the Intel NICs in the 

In Anaconda this manifests itself by an inability to do kickstart/NFS 

This problem affects Anaconda during the install as well as the full 
system post-install.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install recent version of Intel Pro/1000MT (Part PWLA8391MT)
2. Try to install Fedora Core 2 test 3 from CD with command line of 
"linux ks=nfs:somehosthost:ks.cfg"

Actual Results:  Rather than getting to the screen that asks which of 
my NIC's to use (which is what normally happens when the older Intel 
NICs are installed) no network interfaces are found and Andaconda 
goes forward and asks for languages etc, and eventually asks for a 
install medium.  If the user enters "nfs" and then selects driver 
e1000 the machine comes back and says there is no matching hardware.

Expected Results:  Anaconda should have asked me to pick one of my 
NICs and then begun the kickstart.

Additional info:

Platform is a Supermicro Motherboard X5DPR-IG2+, dual Xeon, 512Meg, 
40gig drive dual built-in intel NICs, one additional Pro/1000MT Intel 
Nic in a PCI slot.
Comment 1 Jeremy Katz 2004-04-28 22:11:09 EDT
*** Bug 121908 has been marked as a duplicate of this bug. ***
Comment 2 Karl Auerbach 2004-04-29 18:04:58 EDT
I've done more digging - this may be a due to a single bad 
motherboard or PCI slot.

I obtained two other chassises - each an exact duplicate of the first 
- and they worked relatively OK with the new version of the 
Pro/1000MT NIC.  I say "relatively OK" because Anaconda flagged the 
card as a generic e1000 class card rather than being more specific.  
But at least I was able to reach my kickstart server.

My suggestions are these:

  - Fix anaconda so that it knows more than this card is simply a
    generic.  I'd say that's a low priority thing.

  - Close this bug report as one of those random things caused by 
cosmic rays or things that go bump in the night.

Comment 3 Arjan van de Ven 2004-04-30 03:29:51 EDT
Anaconda shows which driver it will use; the e1000 driver will drive
all e1000 class hw; the driver knows about the various models.
Anything beyond that is just cosmetics..... 

If it's a duff slot then yeah it's best to close this bug; but if it
comes back do not hesitate to reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.